<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.vehicles.VehicleEditFragment">

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:orientation="vertical"
        android:padding="16dp"
        app:layout_constraintBottom_toTopOf="@id/linearLayout2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/vehicle_edit_name"
                android:textColor="@color/secondaryColor"
                android:textSize="24sp" />

            <EditText
                android:id="@+id/editTxtName"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:autofillHints=""
                android:hint="@string/vehicle_edit_name"
                android:inputType="text"
                android:minHeight="48dp"
                tools:ignore="DuplicateSpeakableTextCheck" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/vehicle_edit_image"
                android:textColor="@color/secondaryColor"
                android:textSize="24sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/image"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"

                    android:adjustViewBounds="true"
                    android:contentDescription="@string/imgFailLoad"
                    android:maxHeight="@dimen/vehicleImage_maxHeight"
                    android:scaleType="centerInside"
                    android:src="@drawable/no_image" />

                <Button
                    android:id="@+id/btnChangeImage"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="@string/btnEdit" />

            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/vehicle_edit_fuelType"
                android:textColor="@color/secondaryColor"
                android:textSize="24sp" />

            <Spinner
                android:id="@+id/sListFuelType"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:entries="@array/fuel_types"
                android:minHeight="48dp" />

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout">

        <Button
            android:id="@+id/btnDelete"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="8dp"
            android:layout_marginVertical="8dp"
            android:text="@string/btn_delete" />

        <Button
            android:id="@+id/btnValidate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="8dp"
            android:layout_marginVertical="8dp"
            android:text="@string/btn_save" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>